package intrinsic;

public class Math extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final double LOG10E = 0;
	public static final double LN2 = 0;
	public static final double E = 0;
	public static final double LOG2E = 0;
	public static final double SQRT1_2 = 0;
	public static final double PI = 0;
	public static final double SQRT2 = 0;
	public static final double LN10 = 0;

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Math() {
}


/** Static Methods */
public static native double sin(double arg0);
public static native double atan2(double arg0, double arg1);
public static native double log(double arg0);
public static native double floor(double arg0);
public static native double abs(double arg0);
public static native double exp(double arg0);
public static native double random();
public static native double pow(double arg0, double arg1);
public static native double atan(double arg0);
public static native double acos(double arg0);
public static native double cos(double arg0);
public static native double tan(double arg0);
public static native double ceil(double arg0);
public static native double min();
public static native double min(double arg0);
public static native double min(double arg0, double arg1);
public static native double round(double arg0);
public static native double max();
public static native double max(double arg0);
public static native double max(double arg0, double arg1);
public static native double sqrt(double arg0);
public static native double asin(double arg0);

/** Methods */

}
